package com.api.games;

import cn.jpush.api.push.PushResult;
import cn.jpush.api.schedule.ScheduleResult;
import com.api.common.UtilFun;
import com.api.common.jpush.JpushService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;

@RestController
@RequestMapping(value = "/push")
public class TestCtroll {
    @Resource
    JpushService jpushService;

    /**
     * 单词推送消息
     * @return
     */
    @PostMapping(value = "/send")
    public Object push(){
        PushResult result = jpushService.sendCustomPush("测试消息","消息内容",new HashMap<>());
        return result;
    }

    /**
     * 指定时间点推送消息（一分钟后）
     * @return
     */
    @PostMapping(value = "/single")
    public Object single(){
        Calendar instance = Calendar.getInstance();
        instance.add(Calendar.MINUTE,1);
        ScheduleResult result = jpushService.createSingleSchedule("测试消息","消息内容",new HashMap<>(), UtilFun.DateToString(instance.getTime(),UtilFun.YYYYMMDDHHMMSS));
        return result;
    }

    /**
     * 指定时间点推送消息（一分钟后）
     * @return
     */
    @PostMapping(value = "/daily")
    public Object daily(String time){
        Calendar instance = Calendar.getInstance();
        instance.add(Calendar.MINUTE,1);
        Calendar end = Calendar.getInstance();
        end.add(Calendar.DATE, 1);
        ScheduleResult result = jpushService.createDailySchedule("测试消息","消息内容",UtilFun.DateToString(instance.getTime(),UtilFun.YYYYMMDDHHMMSS), UtilFun.DateToString(end.getTime(),UtilFun.YYYYMMDDHHMMSS),time,new HashMap<>());
        return result;
    }
}
