package com.api.games.controller;
import com.api.core.controller.Ctrl;
import com.api.core.response.Result;
import com.api.core.response.ResultGenerator;
import com.api.games.model.GameAnswer;
import com.api.games.model.GameConfig;
import com.api.games.service.GameConfigService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
import javax.annotation.Resource;
import java.util.List;
import com.api.core.annotation.PowerEnable;
import io.swagger.annotations.*;



/**
* Created by wanghuiwen on 2020/02/27.
*/
@PowerEnable(name = "遊戲時間段",url = "/game/config")
@Api(value = "遊戲時間段", tags = {"遊戲時間段"})
@RestController
@RequestMapping("/game/config")
public class GameConfigController extends Ctrl{
    @Resource
    private GameConfigService gameConfigService;

    @ApiOperation(value = "遊戲時間段列表", tags = {"遊戲時間段"}, notes = "遊戲時間段列表")
    @PostMapping(value="/list/uid",name="遊戲時間段列表")
    public Result listUid(Long uid) {

        return gameConfigService.listUid(uid);
    }
}
