package com.api.games.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "game_log")
public class GameLog implements Serializable {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(name = "user_id")
    private Long userId;

    @Column(name = "real_correct_rate")
    private BigDecimal realCorrectRate;

    @Column(name = "correct_rate")
    private BigDecimal correctRate;

    private BigDecimal confidence;

    @Column(name = "start_time")
    private Date startTime;

    @Column(name = "end_time")
    private Date endTime;

    private String version;

    private String sign;

    private BigDecimal schedule;

    private String selected;

    private Integer exercise;

    @Column(name = "device_id")
    private String deviceId;

    private static final long serialVersionUID = 1L;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * @return id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return user_id
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * @return real_correct_rate
     */
    public BigDecimal getRealCorrectRate() {
        return realCorrectRate;
    }

    /**
     * @param realCorrectRate
     */
    public void setRealCorrectRate(BigDecimal realCorrectRate) {
        this.realCorrectRate = realCorrectRate;
    }

    /**
     * @return correct_rate
     */
    public BigDecimal getCorrectRate() {
        return correctRate;
    }

    /**
     * @param correctRate
     */
    public void setCorrectRate(BigDecimal correctRate) {
        this.correctRate = correctRate;
    }

    /**
     * @return confidence
     */
    public BigDecimal getConfidence() {
        return confidence;
    }

    /**
     * @param confidence
     */
    public void setConfidence(BigDecimal confidence) {
        this.confidence = confidence;
    }

    /**
     * @return start_time
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * @param startTime
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * @return end_time
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * @param endTime
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * @return version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return sign
     */
    public String getSign() {
        return sign;
    }

    /**
     * @param sign
     */
    public void setSign(String sign) {
        this.sign = sign;
    }

    /**
     * @return schedule
     */
    public BigDecimal getSchedule() {
        return schedule;
    }

    /**
     * @param schedule
     */
    public void setSchedule(BigDecimal schedule) {
        this.schedule = schedule;
    }

    /**
     * @return selected
     */
    public String getSelected() {
        return selected;
    }

    /**
     * @param selected
     */
    public void setSelected(String selected) {
        this.selected = selected;
    }

    /**
     * @return exercise
     */
    public Integer getExercise() {
        return exercise;
    }

    /**
     * @param exercise
     */
    public void setExercise(Integer exercise) {
        this.exercise = exercise;
    }
}