package com.api.games.model;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "user_config")
public class UserConfig implements Serializable {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(name = "user_id")
    private Long userId;

    @Column(name = "scale_end")
    private String scaleEnd;

    @Column(name = "scale_start")
    private String scaleStart;

    @Column(name = "scale_time")
    private String scaleTime;

    @Column(name = "show_time")
    private Integer showTime;

    @Column(name = "hide_time")
    private Integer hideTime;

    private Integer correct;

    private Integer supporting;

    private Integer practice;

    @Column(name = "game_count")
    private Integer gameCount;

    private String version;

    @Column(name = "exercise_right")
    private Integer exerciseRight;

    private Integer exercise;

    @Column(name = "login_out")
    private Integer loginOut;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return user_id
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * @return scale_end
     */
    public String getScaleEnd() {
        return scaleEnd;
    }

    /**
     * @param scaleEnd
     */
    public void setScaleEnd(String scaleEnd) {
        this.scaleEnd = scaleEnd;
    }

    /**
     * @return scale_start
     */
    public String getScaleStart() {
        return scaleStart;
    }

    /**
     * @param scaleStart
     */
    public void setScaleStart(String scaleStart) {
        this.scaleStart = scaleStart;
    }

    /**
     * @return scale_time
     */
    public String getScaleTime() {
        return scaleTime;
    }

    /**
     * @param scaleTime
     */
    public void setScaleTime(String scaleTime) {
        this.scaleTime = scaleTime;
    }

    /**
     * @return show_time
     */
    public Integer getShowTime() {
        return showTime;
    }

    /**
     * @param showTime
     */
    public void setShowTime(Integer showTime) {
        this.showTime = showTime;
    }

    /**
     * @return hide_time
     */
    public Integer getHideTime() {
        return hideTime;
    }

    /**
     * @param hideTime
     */
    public void setHideTime(Integer hideTime) {
        this.hideTime = hideTime;
    }

    /**
     * @return correct
     */
    public Integer getCorrect() {
        return correct;
    }

    /**
     * @param correct
     */
    public void setCorrect(Integer correct) {
        this.correct = correct;
    }

    /**
     * @return supporting
     */
    public Integer getSupporting() {
        return supporting;
    }

    /**
     * @param supporting
     */
    public void setSupporting(Integer supporting) {
        this.supporting = supporting;
    }

    /**
     * @return practice
     */
    public Integer getPractice() {
        return practice;
    }

    /**
     * @param practice
     */
    public void setPractice(Integer practice) {
        this.practice = practice;
    }

    /**
     * @return game_count
     */
    public Integer getGameCount() {
        return gameCount;
    }

    /**
     * @param gameCount
     */
    public void setGameCount(Integer gameCount) {
        this.gameCount = gameCount;
    }

    /**
     * @return version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return exercise
     */
    public Integer getExercise() {
        return exercise;
    }

    /**
     * @param exercise
     */
    public void setExercise(Integer exercise) {
        this.exercise = exercise;
    }

    /**
     * @return login_out
     */
    public Integer getLoginOut() {
        return loginOut;
    }

    /**
     * @param loginOut
     */
    public void setLoginOut(Integer loginOut) {
        this.loginOut = loginOut;
    }

    public Integer getExerciseRight() {
        return exerciseRight;
    }

    public void setExerciseRight(Integer exerciseRight) {
        this.exerciseRight = exerciseRight;
    }
}