package com.api.games.service;
import com.api.core.response.Result;
import com.api.games.model.GameLog;
import com.api.core.service.Service;
import com.api.games.model.GameLogDownload;
import com.api.games.model.GameLogDownloadV2;

import java.util.List;
import java.util.Map;


/**
 * Created by wanghuiwen on 2020/02/23.
 */
public interface GameLogService extends Service<GameLog> {

    Result list(String search, String order, Integer page, Integer size);

    Result listGameTime(Long uid);

    Result detail(Integer id);

    /**
     * 检查当天应该测试但是未测试的用户，添加一条未测试记录
     * 每天 早13：00 午：17：00；晚：21：00 执行
     */
    Result notPerformed();

    List<Map<String, Object>> download(String search, String order);

    List<GameLogDownloadV2> newDownload(String search, String orderMap);

    Map<String,Object> download(String search);
}
