package com.api.games.service;

import com.api.base.model.User;
import com.api.core.config.AuthUser;
import com.api.core.response.Result;
import com.api.core.service.Service;
import com.api.games.model.UserConfig;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * Created by wanghuiwen on 2020/02/23.
 */
public interface UserConfigService extends Service<UserConfig> {

    Result list(String search, String order, Integer page, Integer size);

    Result add(User user, UserConfig config, String configs);

    Result delete(Long id);

    Result update(User user, UserConfig config, Long configId, String configs);

    Result bind(AuthUser user);

    /**
     * 查询所有当天结束游戏的用户并修改用户状态为已经完成
     * 每天凌晨0点5分执行
     *
     * @return
     */
    Result expired();

    List<Map<String, Object>> download(String search, String order);

    Result getVersion(AuthUser authUser, Long msgId);

    /**
     * 延迟接口
     * @param user
     * @param date 推送时间
     * @param pushId 推送id
     * @param num 推送次数
     * @param type 推送类型
     * @param start 开始日期
     * @param end 结束日期
     * @return
     */
    Result delay(AuthUser user, Date date, Long pushId, Integer num, String type, String start, String end);
}
