package com.api.games.service.impl;

import com.api.core.response.Result;
import com.api.core.response.ResultGenerator;
import com.api.games.dao.GameConfigMapper;
import com.api.games.model.GameConfig;
import com.api.games.service.GameConfigService;
import com.api.core.service.AbstractService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Condition;

import javax.annotation.Resource;
import java.util.List;


/**
 * Created by wanghuiwen on 2020/02/27.
 */
@Service
@Transactional
public class GameConfigServiceImpl extends AbstractService<GameConfig> implements GameConfigService {
    @Resource
    private GameConfigMapper gameConfigMapper;

    @Override
    public Result listUid(Long uid) {
        Condition condition = new Condition(GameConfig.class);
        condition.createCriteria().andEqualTo("uid",uid);
        List<GameConfig> gameConfigs = gameConfigMapper.selectByCondition(condition);
        return ResultGenerator.genSuccessResult(gameConfigs);
    }
}
